# Client Update

## getVersion

> This method returns the latest version available for SPID Client in the server

```json
{"openapi":"3.0.1","info":{"title":"SPID Server API Specification","version":"4.2.12"},"servers":[{"url":"https://<ip>:8082","description":"Generated server url"}],"paths":{"/gbs-spid-server/client-version":{"get":{"tags":["Client Update"],"summary":"getVersion","operationId":"getClientVersion","description":"This method returns the latest version available for SPID Client in the server","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"503":{"description":"Service Unavailable","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}},"components":{"schemas":{"ErrorResponse":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/Error"}},"type":{"type":"string","enum":["VALIDATION_ERROR","PROCESSING_ERROR","INTERNAL_ERROR","SECURITY_ERROR"]}}},"Error":{"type":"object","properties":{"type":{"type":"string","enum":["VALIDATION_ERROR","PROCESSING_ERROR","INTERNAL_ERROR","SECURITY_ERROR"]},"message":{"type":"string"}}}}}}
```

## getFile

> This method performs the automatic update for the SPID Server application.

```json
{"openapi":"3.0.1","info":{"title":"SPID Server API Specification","version":"4.2.12"},"servers":[{"url":"https://<ip>:8082","description":"Generated server url"}],"paths":{"/gbs-spid-server/client-version/download":{"get":{"tags":["Client Update"],"summary":"getFile","operationId":"updateClient","description":"This method performs the automatic update for the SPID Server application.","parameters":[{"name":"os","in":"query","required":false,"schema":{"type":"string","default":"windows"}}],"responses":{"200":{"description":"OK","content":{"application/octet-stream":{"schema":{"type":"string","format":"binary"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"503":{"description":"Service Unavailable","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}},"components":{"schemas":{"ErrorResponse":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/Error"}},"type":{"type":"string","enum":["VALIDATION_ERROR","PROCESSING_ERROR","INTERNAL_ERROR","SECURITY_ERROR"]}}},"Error":{"type":"object","properties":{"type":{"type":"string","enum":["VALIDATION_ERROR","PROCESSING_ERROR","INTERNAL_ERROR","SECURITY_ERROR"]},"message":{"type":"string"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.griaule.com/apis/spid/client-update.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
